Skip to main content

STU3 Practitioner

The Practitioner resource represents "a person who is directly or indirectly involved in the provisioning of healthcare." HL7 FHIR STU3 Practitioner

Supported Profiles​

This API supports the following FHIR profiles:

Operations​

The General Purpose STU3 API Practitioner resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatar----
myEvolv----
myUnity----
info

Not all Netsmart solutions support Practitioner search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters​

NameTypeDescription
_ididUnique identifier of the Practitioner. Cannot be used with other search parameters.

Custom Parameters​

NameTypeDescription
enddateActivated date/time
startdateDeactivated date/time

Search Examples​

Via POST​

The POST method is recommended as it keeps health information out of the URL.

Search by id
curl -X POST https://fhir.netsmartcloud.com/fhir/Practitioner/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "_id=87"
Via GET​
Search by id
curl -X GET "https://fhir.netsmartcloud.com/fhir/Practitioner?_id=87" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"